summaryrefslogtreecommitdiff
path: root/dev-python/python-gammu
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/python-gammu')
-rw-r--r--dev-python/python-gammu/Manifest1
-rw-r--r--dev-python/python-gammu/python-gammu-3.4.1.ebuild59
2 files changed, 60 insertions, 0 deletions
diff --git a/dev-python/python-gammu/Manifest b/dev-python/python-gammu/Manifest
index e292211b26f7..a0968426e53e 100644
--- a/dev-python/python-gammu/Manifest
+++ b/dev-python/python-gammu/Manifest
@@ -1,2 +1,3 @@
DIST python-gammu-3.2.5.gh.tar.gz 149125 BLAKE2B a4e3864698fd826cb16f9d20293f8d97cf0234433fcd2b8691ef8e5c5c2c9d90cd21acb9cb81d85dae404579b720f89885a491944657d9404ea6d2ce4ebd9096 SHA512 57b665636d60a463a7de25bfcf632d2b067a14426cb355ae6f57d97459229a7c9af3d274426fb9c52930cd66d0640e9e57cb00eef80ec63ebfa34678462ab2ed
DIST python-gammu-3.4.0.gh.tar.gz 152822 BLAKE2B 42aa3ae968f81fdb7276fff82617351f84a744205d90eb4be130fa364949c1d195fe062e965bde51146fce491218f4c8b1b060df64418be652427de098d97a95 SHA512 868daeb3feb4150da69404b95b2c09559959e791d88e263c03771fe1316f8047f01dfe2575032005b4f46839b10b1f0dc96159445036505f07d3f8b438cbc358
+DIST python-gammu-3.4.1.gh.tar.gz 153695 BLAKE2B 7159b635266524c5b3c4f734e28ca81d676f3009c6244cfea4b7c2cd9a00de35c3144d7d21e3f3d5b8495abe14219d76b7f77afb1cf1738f3aa5202f7add86a6 SHA512 a74056bdf9b9ab84079a08dae62563fcee8045dabcb80505116feaaacaa98ddbd1101decee33ae90af8eb71b84df6c6470ff725efe321f19377fa46258e63ded
diff --git a/dev-python/python-gammu/python-gammu-3.4.1.ebuild b/dev-python/python-gammu/python-gammu-3.4.1.ebuild
new file mode 100644
index 000000000000..c174431c91a2
--- /dev/null
+++ b/dev-python/python-gammu/python-gammu-3.4.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for Gammu"
+HOMEPAGE="
+ https://wammu.eu/python-gammu/
+ https://github.com/gammu/python-gammu/
+ https://pypi.org/project/python-gammu/
+"
+SRC_URI="
+ https://github.com/gammu/python-gammu/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ >=app-mobilephone/gammu-1.44.1
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ virtual/pkgconfig
+ test? (
+ $(python_gen_impl_dep sqlite)
+ app-mobilephone/gammu[dbi]
+ )
+"
+
+DOCS=( AUTHORS NEWS.rst README.rst )
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+ rm -rf gammu || die
+ epytest
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ if use examples; then
+ docompress -x /usr/share/doc/${P}/examples
+ dodoc -r examples
+ fi
+}